Subject: bug#10916: Using occur to list occurrencies of the symbol at point

From: Stefan Kangas <[email-masked]>
Date: Fri, 01 Nov 2019 23:33:26 +0100

Juri Linkov <[email-masked]> writes:

>>> Have you tried `M-x occur RET M-n RET'?
>>
>> Now I have. Seems to give the symbol at point in recent emacs versions.
>> Slightly less convenient than a prefix argument, but I think that does
>> what I want.
>
> It's less convenient because the default value (displayed in parens)
> for `occur' is not the symbol under point, but the last history element
> (that is also easy to get via `M-p').  This is for historical reasons.

If this is how the command has worked for a long time, perhaps it's
too late to change now?  In that case, I guess this is a wontfix?

Best regards,
Stefan Kangas